# Imagick::setSizeOffset

(PECL imagick 2.0.0)

Imagick::setSizeOffset — Sets the size and offset of the Imagick object

### Description

Imagick::setSizeOffset ( int `$columns` , int `$rows` , int `$offset` ) : bool

Sets the size and offset of the Imagick object. Set it before you read a raw image format such as RGB, GRAY, or CMYK. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`columns`

  The width in pixels.

`rows`

  The height in pixels.

`offset`

  The image offset.

### Return Values

Returns `TRUE` on success.